@ECHO OFF
ECHO.>CON
ECHO GetAllUserDetails, Version 1.00 for Windows NT 4 and higher >CON
ECHO Gathers details to all users in the domain >CON
ECHO.>CON
ECHO Based on a script by Rob van der Woude >CON
ECHO http://www.robvanderwoude.com >CON
ECHO.>CON
ECHO Gathering data, this may take several minutes . . .>CON
ECHO.>CON
ECHO.

Set Counter=0

FOR /F "skip=4 tokens=*" %%A IN ('NET USER /DOMAIN ^| FIND /V "The command completed successfully"') DO CALL :ParseUsers %%A
GOTO:EOF


:ParseUsers
Set FullLine=%*

echo Getting details from %1...
SET UserName=%FullLine:~0,24%
start /wait GetUserDetails.bat %UserName%


echo Getting details for user %1...
SET UserName=%FullLine:~25,24%
start /wait GetUserDetails.bat %UserName%


echo Getting details from %1...
SET UserName=%FullLine:~50,100%
start /wait GetUserDetails.bat %UserName%

set /a Counter = Counter + 3

echo.
echo Done!
echo Details to approximately %Counter% users were extracted!
pause
